import { EdenEvents, fireEvent } from "../../event";
import { clearOnOpenSideEffects } from "./on-open";
export function cleanupSocketSideEffects() {
    window.Eden.players = [];
    fireEvent(document, EdenEvents.playersUpdated, {
        players: window.Eden.players,
    });
    clearOnOpenSideEffects();
}
export default function onClose() {
    cleanupSocketSideEffects();
}
